## DAAPRecord DAAPRecord |

## Functions

gboolean | daap_record_itunes_compat ()
GInputStream * | daap_record_read ()
gint | daap_record_cmp_by_album ()

## Types and Values

struct | DAAPRecordIface

## Description

## Functions

### daap_record_itunes_compat ()

    gboolean
    daap_record_itunes_compat (DAAPRecord *record);

#### Parameters

record | A DAAPRecord. |

#### Returns

TRUE if record is compatible with iTunes, else FALSE.

### daap_record_read ()

    GInputStream *
    daap_record_read (DAAPRecord *record,
                      GError **err);

#### Parameters

record | a DAAPRecord. |
err | a GError. |

#### Returns

A GInputStream that provides read-only access to the data stream associated with record.

### daap_record_cmp_by_album ()

    gint
    daap_record_cmp_by_album (gpointer a,
                              gpointer b,
                              DMAPDb *db);

Compares the two records associated with the provided keys according to album. Suitable to sort lists of albums.

#### Parameters

a | first ID. |
b | second ID. |
db | A DMAPDb for which a and b are valid ID's. |

#### Returns

## Types and Values

### struct DAAPRecordIface

    struct DAAPRecordIface {
    	GTypeInterface parent;

    	  gboolean (*itunes_compat) (DAAPRecord * record);
    	GInputStream *(*read) (DAAPRecord * record, GError ** err);
    };